Suppress a customer profile
Delete a customer profile and prevent the person's identifier(s) from being re-added to your workspace. Any future API calls or operations referencing the specified ID are ignored. If you suppress a person in a workspace that identifies people by email or ID and both identifiers are set, both the person's email and ID are suppressed.
This API permanently deletes people
Suppressing a person way deletes their profile and suppresses the identifier you reference in the path of this call, preventing you from re-adding a person using the same identifier (until you unsuppress the identifier). You cannot recover a profile after you suppress it. In general, should use this API sparingly—for GDPR/CCPA requests, etc.
If you want to keep a record of a person but prevent them from receiving messages, you should set the person's unsubscribed attribute (or use other attributes to represent complex subscription preferences) instead.
- identifierrequired
The unique value representing a person. The values you use to identify a person may be an
id,emailaddress, or thecio_id(when updating people), depending on your workspace settings. When you reference people bycio_id, you must prefix the value withcio_.You can't reference a person by their
phonenumber here. We determine the identifier type from the shape of the value, so a phone number in the path is treated as anid. To identify people by phone number, use the Track v2 API.- Type: string · id
The unique identifier for a person that you want to create or modify.
- 200
A successful request returns an empty object response.
- 401
Unauthorized request. Make sure that you provided the right credentials.
curl https://track.customer.io/api/v1/customers/12345/suppress \
--request POST \
--header 'Authorization: Basic username:password'
A successful request returns an empty object response.